using irisHelper;
using irisIoControll.Service.Impl;
using System;

namespace irisIoControll
{
    public class IrisIoControllObject
    {
        public static Object getEntity()
        {
            string ioType = ConfigHelper.GetAppConfig("motherboardType");

            Object obj = new object();
            switch (ioType)
            {
                case "1":
                    obj = (Object)new SusiControlImpl();
                    break;
                case "2":
                    obj = (Object)new GPIOControlImpl();
                    break;
                default:
                    break;
            }

            return obj;
        }

    }
}